Skip to content
OpenPostDocs
OpenPostDocs
Analytics

Get stored whole-account content analytics

GET/analytics

Authorization

AuthorizationBearer <token>

In: header

Query Parameters

workspace_id*string

Workspace ID

days?integer

Reporting window: 7, 30, 90, 365 days, or 0 for all time. Custom dates override days.

Formatint64
Default30
from?string

Inclusive start date (YYYY-MM-DD, UTC), supplied together with to

to?string

Inclusive end date (YYYY-MM-DD, UTC), supplied together with from

account_id?string

Optional social account ID used to filter results and content totals

account_ids?string

Optional comma-separated social account IDs, combined with account_id

sort?string

Stored result ordering

Default"engagement"

Value in

  • "engagement"
  • "views"
  • "visibility"
  • "newest"
cursor?string

Opaque source-bound content cursor

limit?integer

Content results per page

Formatint64
Range1 <= value <= 100
Default50

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/analytics?workspace_id=string"
{  "$schema": "https://example.com/api/v1/schemas/Overview.json",  "account_growth_scope": "account_wide",  "accounts": [    {      "account_supported": true,      "avatar_url": "string",      "content_supported": true,      "error_code": "string",      "error_message": "string",      "follower_delta": 0,      "follower_series": [        {          "date": "string",          "value": 0        }      ],      "id": "string",      "last_synced_at": "2019-08-24T14:15:22Z",      "metric_metadata": {        "property1": {          "aggregation": "current_snapshot",          "period_end": "2019-08-24T14:15:22Z",          "period_start": "2019-08-24T14:15:22Z",          "scale": 1,          "source": "string",          "unit": "count"        },        "property2": {          "aggregation": "current_snapshot",          "period_end": "2019-08-24T14:15:22Z",          "period_start": "2019-08-24T14:15:22Z",          "scale": 1,          "source": "string",          "unit": "count"        }      },      "metrics": {        "property1": 0,        "property2": 0      },      "missing_account_scopes": [        "string"      ],      "missing_content_scopes": [        "string"      ],      "next_sync_at": "2019-08-24T14:15:22Z",      "platform": "string",      "stale": true,      "status": "string",      "username": "string"    }  ],  "content": [    {      "account_id": "string",      "collected_at": "2019-08-24T14:15:22Z",      "content_profile": "string",      "engagement": 0,      "error_code": "string",      "error_message": "string",      "excerpt": "string",      "external_url": "string",      "last_synced_at": "2019-08-24T14:15:22Z",      "measurements": {        "property1": {          "availability": "available",          "collected_at": "2019-08-24T14:15:22Z",          "metadata": {            "aggregation": "current_snapshot",            "period_end": "2019-08-24T14:15:22Z",            "period_start": "2019-08-24T14:15:22Z",            "scale": 1,            "source": "string",            "unit": "count"          },          "value": 0        },        "property2": {          "availability": "available",          "collected_at": "2019-08-24T14:15:22Z",          "metadata": {            "aggregation": "current_snapshot",            "period_end": "2019-08-24T14:15:22Z",            "period_start": "2019-08-24T14:15:22Z",            "scale": 1,            "source": "string",            "unit": "count"          },          "value": 0        }      },      "metric_availability": "available",      "metric_metadata": {        "property1": {          "aggregation": "current_snapshot",          "period_end": "2019-08-24T14:15:22Z",          "period_start": "2019-08-24T14:15:22Z",          "scale": 1,          "source": "string",          "unit": "count"        },        "property2": {          "aggregation": "current_snapshot",          "period_end": "2019-08-24T14:15:22Z",          "period_start": "2019-08-24T14:15:22Z",          "scale": 1,          "source": "string",          "unit": "count"        }      },      "metrics": {        "property1": 0,        "property2": 0      },      "next_sync_at": "2019-08-24T14:15:22Z",      "platform": "string",      "publication_id": "string",      "published_at": "2019-08-24T14:15:22Z",      "reference": {        "publication_id": "string",        "rendition_id": "string",        "type": "openpost"      },      "rendition_id": "string",      "stale": true,      "status": "string",      "title": "string",      "username": "string",      "visibility": {        "basis": "post_displays",        "metric": "views",        "value": 0      }    }  ],  "content_metric_keys": [    "string"  ],  "content_next_cursor": "string",  "content_total": 0,  "follower_series": [    {      "date": "string",      "value": 0    }  ],  "generated_at": "2019-08-24T14:15:22Z",  "highlights": [    {      "account_id": "string",      "collected_at": "2019-08-24T14:15:22Z",      "content_profile": "string",      "engagement": 0,      "error_code": "string",      "error_message": "string",      "excerpt": "string",      "external_url": "string",      "last_synced_at": "2019-08-24T14:15:22Z",      "measurements": {        "property1": {          "availability": "available",          "collected_at": "2019-08-24T14:15:22Z",          "metadata": {            "aggregation": "current_snapshot",            "period_end": "2019-08-24T14:15:22Z",            "period_start": "2019-08-24T14:15:22Z",            "scale": 1,            "source": "string",            "unit": "count"          },          "value": 0        },        "property2": {          "availability": "available",          "collected_at": "2019-08-24T14:15:22Z",          "metadata": {            "aggregation": "current_snapshot",            "period_end": "2019-08-24T14:15:22Z",            "period_start": "2019-08-24T14:15:22Z",            "scale": 1,            "source": "string",            "unit": "count"          },          "value": 0        }      },      "metric_availability": "available",      "metric_metadata": {        "property1": {          "aggregation": "current_snapshot",          "period_end": "2019-08-24T14:15:22Z",          "period_start": "2019-08-24T14:15:22Z",          "scale": 1,          "source": "string",          "unit": "count"        },        "property2": {          "aggregation": "current_snapshot",          "period_end": "2019-08-24T14:15:22Z",          "period_start": "2019-08-24T14:15:22Z",          "scale": 1,          "source": "string",          "unit": "count"        }      },      "metrics": {        "property1": 0,        "property2": 0      },      "next_sync_at": "2019-08-24T14:15:22Z",      "platform": "string",      "publication_id": "string",      "published_at": "2019-08-24T14:15:22Z",      "reference": {        "publication_id": "string",        "rendition_id": "string",        "type": "openpost"      },      "rendition_id": "string",      "stale": true,      "status": "string",      "title": "string",      "username": "string",      "visibility": {        "basis": "post_displays",        "metric": "views",        "value": 0      }    }  ],  "insights": [    {      "account_id": "string",      "caveat": "filtered_content_lifetime_totals",      "comparison_sample": 0,      "content": {        "account_id": "string",        "collected_at": "2019-08-24T14:15:22Z",        "excerpt": "string",        "platform": "string",        "published_at": "2019-08-24T14:15:22Z",        "reference": {          "publication_id": "string",          "rendition_id": "string",          "type": "openpost"        },        "title": "string",        "username": "string"      },      "destination_count": 0,      "kind": "most_engagement_actions",      "measured_count": 0,      "metric": "string",      "period": {        "aggregation": "unavailable",        "filter_end": "2019-08-24T14:15:22Z",        "filter_start": "2019-08-24T14:15:22Z",        "measurement_end": "2019-08-24T14:15:22Z",        "measurement_start": "2019-08-24T14:15:22Z"      },      "platform": "string",      "reason": "missing_measurements",      "status": "available",      "username": "string",      "value": 0    }  ],  "last_synced_at": "2019-08-24T14:15:22Z",  "performance": [    {      "account_id": "string",      "avatar_url": "string",      "engagement": {        "delta": 0,        "measured": 0,        "value": 0      },      "follower_delta": 0,      "followers": 0,      "platform": "string",      "publication_count": 0,      "published": 0,      "status": "string",      "username": "string",      "visibility": {        "delta": 0,        "measured": 0,        "value": 0      }    }  ],  "publication_next_cursor": "string",  "publication_total": 0,  "publications": [    {      "engagement": 0,      "engagement_measured": 0,      "excerpt": "string",      "last_synced_at": "2019-08-24T14:15:22Z",      "measured": {        "property1": 0,        "property2": 0      },      "metrics": {        "property1": 0,        "property2": 0      },      "publication_id": "string",      "published_at": "2019-08-24T14:15:22Z",      "renditions": [        {          "account_id": "string",          "collected_at": "2019-08-24T14:15:22Z",          "content_profile": "string",          "engagement": 0,          "error_code": "string",          "error_message": "string",          "excerpt": "string",          "external_url": "string",          "last_synced_at": "2019-08-24T14:15:22Z",          "measurements": {            "property1": {              "availability": "available",              "collected_at": "2019-08-24T14:15:22Z",              "metadata": {                "aggregation": "current_snapshot",                "period_end": "2019-08-24T14:15:22Z",                "period_start": "2019-08-24T14:15:22Z",                "scale": 1,                "source": "string",                "unit": "count"              },              "value": 0            },            "property2": {              "availability": "available",              "collected_at": "2019-08-24T14:15:22Z",              "metadata": {                "aggregation": "current_snapshot",                "period_end": "2019-08-24T14:15:22Z",                "period_start": "2019-08-24T14:15:22Z",                "scale": 1,                "source": "string",                "unit": "count"              },              "value": 0            }          },          "metric_availability": "available",          "metric_metadata": {            "property1": {              "aggregation": "current_snapshot",              "period_end": "2019-08-24T14:15:22Z",              "period_start": "2019-08-24T14:15:22Z",              "scale": 1,              "source": "string",              "unit": "count"            },            "property2": {              "aggregation": "current_snapshot",              "period_end": "2019-08-24T14:15:22Z",              "period_start": "2019-08-24T14:15:22Z",              "scale": 1,              "source": "string",              "unit": "count"            }          },          "metrics": {            "property1": 0,            "property2": 0          },          "next_sync_at": "2019-08-24T14:15:22Z",          "platform": "string",          "publication_id": "string",          "published_at": "2019-08-24T14:15:22Z",          "reference": {            "publication_id": "string",            "rendition_id": "string",            "type": "openpost"          },          "rendition_id": "string",          "stale": true,          "status": "string",          "title": "string",          "username": "string",          "visibility": {            "basis": "post_displays",            "metric": "views",            "value": 0          }        }      ],      "title": "string",      "visibility": {        "delta": 0,        "measured": 0,        "value": 0      }    }  ],  "range_days": 0,  "range_end": "2019-08-24T14:15:22Z",  "range_start": "2019-08-24T14:15:22Z",  "summary": {    "engagement": {      "delta": 0,      "measured": 0,      "value": 0    },    "follower_scope": "account_wide",    "followers": {      "delta": 0,      "measured": 0,      "value": 0    },    "impressions": {      "delta": 0,      "measured": 0,      "value": 0    },    "published": 0,    "reach": {      "delta": 0,      "measured": 0,      "value": 0    },    "views": {      "delta": 0,      "measured": 0,      "value": 0    },    "visibility": {      "delta": 0,      "measured": 0,      "value": 0    }  },  "takeaways": [    {      "account_id": "string",      "baseline": 0.1,      "comparison_sample": 0,      "excerpt": "string",      "kind": "repurpose_post",      "measured_count": 0,      "platform": "string",      "reason": "string",      "reference": {        "publication_id": "string",        "rendition_id": "string",        "type": "openpost"      },      "title": "string",      "username": "string",      "value": 0    }  ],  "trends": {    "engagement": [      {        "date": "string",        "items": [          {            "account_id": "string",            "key": "string",            "label": "string",            "platform": "string",            "publication_id": "string",            "value": 0          }        ],        "value": 0      }    ],    "followers": [      {        "date": "string",        "items": [          {            "account_id": "string",            "key": "string",            "label": "string",            "platform": "string",            "publication_id": "string",            "value": 0          }        ],        "value": 0      }    ],    "views": [      {        "date": "string",        "items": [          {            "account_id": "string",            "key": "string",            "label": "string",            "platform": "string",            "publication_id": "string",            "value": 0          }        ],        "value": 0      }    ],    "visibility": [      {        "date": "string",        "items": [          {            "account_id": "string",            "key": "string",            "label": "string",            "platform": "string",            "publication_id": "string",            "value": 0          }        ],        "value": 0      }    ]  },  "visibility_breakdown": [    {      "basis": "post_displays",      "measured": 0,      "metric": "views",      "platform": "string",      "value": 0    }  ]}